/****************************************************************************
 * 
 * OSLClassGraphicObject.h
 * 
 * OSL support for the cGraphicObject Apple Event Registry object
 *
 ****************************************************************************/


#ifndef	__OSLCLASSGRAPHICOBJECT__
#define	__OSLCLASSGRAPHICOBJECT__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AEPackObject.h>

// ----------------------------------------------------------------------------

OSErr	GraphicObjectEventDispatcher	(AEDesc *token, const AppleEvent *message, AppleEvent *reply, long refcon);

OSErr	InstallGraphicObjectAccessors	(void);

// ----------------------------------------------------------------------------
// Handles getting property data from ANY graphic object or subclass of cGraphicObject

pascal OSErr 
PropertyFromGraphicObjectAccessor( 
											DescType		desiredClass,
					 				const AEDesc*		containerToken,
					 						DescType		containerClass,
					 						DescType		keyForm,
				    				const AEDesc*		keyData,
					 						AEDesc*		resultToken,
					 						long 			refCon);

OSErr	GetDataFromGraphicObject		(AEDesc *tokenOrTokenList, AEDesc *asParameter, AEDesc *data);

// ----------------------------------------------------------------------------

#endif